SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Security)  >   Red Hat Certificate Server Vendors:   Red Hat
Red Hat Certificate System Bug in Registration Authority Lets Remote Authenticated Users Bypass Access Controls
SecurityTracker Alert ID:  1022278
SecurityTracker URL:  http://securitytracker.com/id/1022278
CVE Reference:   CVE-2009-0588   (Links to External Site)
Date:  May 26 2009
Impact:   Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 7.3
Description:   A vulnerability was reported in Red Hat Certificate System in the registration authority. A remote authenticated user can bypass access controls to process other certificate requests.

A remote authenticated user in an agent group can approve or reject certificate requests in the queue for other agent groups by guessing the request ID.

Robert Mead of AusCERT reported this vulnerability.

Impact:   A remote authenticated user can bypass access controls to process other certificate requests.
Solution:   The vendor has issued a fix.

Red Hat Certificate System 7.3 for 4AS:

noarch:
rhpki-ra-7.3.0-69.el4.noarch.rpm

Red Hat Certificate System 7.3 for 4ES:

noarch:
rhpki-ra-7.3.0-69.el4.noarch.rpm

The vendor's advisory is available at:

https://rhn.redhat.com/errata/RHSA-2009-1065.html

Vendor URL:  rhn.redhat.com/errata/RHSA-2009-1065.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Red Hat Enterprise), UNIX (Solaris - SunOS)

Message History:   None.


 Source Message Contents

Subject:  [RHSA-2009:1065-01] Moderate: rhpki-ra security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: rhpki-ra security update
Advisory ID:       RHSA-2009:1065-01
Product:           Red Hat Certificate System
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2009-1065.html
Issue date:        2009-05-26
CVE Names:         CVE-2009-0588 
=====================================================================

1. Summary:

An updated rhpki-ra package that fixes one security issue is now available
for Red Hat Certificate System 7.3.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Certificate System 7.3 for 4AS - noarch
Red Hat Certificate System 7.3 for 4ES - noarch

3. Description:

The Red Hat registration authority is an optional Red Hat Certificate
System subsystem that acts as a front-end for authenticating and processing
enrollment requests, PIN reset requests, and formatting requests.

Robert Mead of AusCERT reported that the registration authority did not
properly check an agent's authorization in some CGI scripts. In deployments
where certificate requests were processed by multiple agent groups, an
agent from any group was able to approve or reject certificate requests in
the queue for any other agent group, if they were able to guess the request
ID. (CVE-2009-0588)

All Red Hat Certificate System 7.3 users should upgrade to this updated
package, which resolves this issue.

4. Solution:

Users running Red Hat Certificate System on Red Hat Enterprise Linux:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use the Red
Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

Users running Red Hat Certificate System on Sun Solaris:

An updated Solaris package, in .pkg format, is available in the Red Hat
Certificate System Solaris channel on the Red Hat Network. Use native
Solaris package management tools to install or upgrade this package.

After applying the updated package on both Linux and Solaris, copy the
op.cgi file to the corresponding instance locations, for example:

# cp /usr/share/rhpki/ra/docroot/agent/request/op.cgi
/var/lib/rhpki-ra/docroot/agent/request/op.cgi

For detailed installation instructions, see the "Installation and
Configuration" section of the Red Hat Certificate System 7.3 Administration
Guide:
http://redhat.com/docs/manuals/cert-system/7.3/html/Administration_Guide/

5. Bugs fixed (http://bugzilla.redhat.com/):

488706 - CVE-2009-0588 rhpki-ra: improper authorization checks in Cerificate System's Registration Authority

6. Package List:

Red Hat Certificate System 7.3 for 4AS:

noarch:
rhpki-ra-7.3.0-69.el4.noarch.rpm

Red Hat Certificate System 7.3 for 4ES:

noarch:
rhpki-ra-7.3.0-69.el4.noarch.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0588
http://www.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>.  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2009 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFKHChfXlSAg2UNWIIRAktAAJ9YzYVpNBI8ZEyvkreBS5VowgZQXACfTopg
0OcVjSV4Avmi53l3qf8o4SM=
=KWs1
-----END PGP SIGNATURE-----


--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://www.redhat.com/mailman/listinfo/rhsa-announce

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC